@use '../../global/styles-variables' as *;
@use '../../global/utilities' as *;
:host {
	display: block;

	// .digi-docs-about-design-pattern-forms-validation {

	.validation__table__title {
		padding-top: 32px;
		padding-bottom: 16px;
	}
	.validation__table__container {
		display: flex;
		flex-direction: column;
		flex-wrap: nowrap;
		justify-content: space-between;
		align-content: flex-start;
		align-items: stretch;
	}

	.validation__table__item {
		display: flex;
		flex-direction: row;
		align-content: flex-start;
		border-bottom: 0.5px solid gray;
		align-items: flex-start;
		padding-top: 32px;
		// width: 100%;
		// overflow: scroll;
		&__text {
			display: flex;
			flex-direction: column;
			justify-content: space-evenly;
			align-items: flex-start;
			max-width: 12rem;
			padding-bottom: 56px;
			padding-right: 40px;
			flex-shrink: 0;

			font-size: 14px;
		}
		&__image {
			display: flex;
			flex-direction: column;

			align-items: flex-start;

			// flex-shrink: 0;
		}
		.validation__table__item__text_title {
			--FONT-SIZE--BODY: var(--digi--typography--tag--font-size--mobile) !important;
			
		}
		h4{
			margin-top: 0px !important;
			
		}
		.validation__table__item__text_paragraph {
			--FONT-SIZE--BODY: var(--digi--typography--tag--font-size--mobile) !important;
		}
	}
	.validation__table__item:first-child {
		border-top: 0.5px solid gray;
		padding-top: 32px;
	}
}
